summaryrefslogtreecommitdiff
path: root/tests/run-all
diff options
context:
space:
mode:
Diffstat (limited to 'tests/run-all')
-rwxr-xr-xtests/run-all5
1 files changed, 2 insertions, 3 deletions
diff --git a/tests/run-all b/tests/run-all
index cfa5ce2..f72b9fa 100755
--- a/tests/run-all
+++ b/tests/run-all
@@ -5,9 +5,8 @@ set -e
set -o pipefail
-set +e
-jcpus=`perl -MSys::CPU -we 'printf "-j%d\n", 1.34 * Sys::CPU::cpu_count()'`
-set -e
+ncpus=$(nproc || echo 1)
+jcpus=-j$(( ncpus * 134 / 100 ))
if [ $# != 0 ]; then
set TESTSCRIPTS="$*"